package ru.dbotthepony.kstarbound.defs.item

import com.google.common.collect.ImmutableList
import ru.dbotthepony.kstarbound.defs.util.enrollMap
import ru.dbotthepony.kstarbound.io.json.builder.BuilderAdapter
import ru.dbotthepony.kstarbound.io.json.builder.JsonBuilder
import ru.dbotthepony.kstarbound.util.NotNullVar

@JsonBuilder
class CurrencyItemPrototype : ItemPrototype(), ICurrencyItemDefinition {
	override var currency: String by NotNull()
	override var value: Long by NotNull()

	init {
		maxStack = 16777216L
	}
}
