package ru.dbotthepony.kstarbound.defs.item

import com.google.gson.JsonObject
import ru.dbotthepony.kstarbound.RegistryObject
import ru.dbotthepony.kstarbound.defs.DynamicDefinition

class DynamicItemDefinition(def: RegistryObject<IItemDefinition>) : DynamicDefinition<IItemDefinition>(def) {
	override fun sanitize(saveInput: JsonObject) {
		saveInput.remove("itemName")
		saveInput.remove("pickupQuestTemplates")
		saveInput.remove("scripts")
		saveInput.remove("scriptDelta")
	}
}
