package ru.dbotthepony.kstarbound.defs.item

import ru.dbotthepony.kvector.vector.Color
import ru.dbotthepony.kvector.vector.ndouble.Vector2d

interface IFlashlightDefinition : IItemDefinition, IItemInHandDefinition {
	/**
	 * Смещение в пикселях
	 */
	val lightPosition: Vector2d

	val lightColor: Color

	val beamLevel: Int

	val beamAmbience: Double
}
