package ru.dbotthepony.kstarbound.defs.item

import ru.dbotthepony.kstarbound.defs.animation.IAnimated

interface IHarvestingToolDefinition : IItemDefinition, IAnimated, IItemInHandDefinition {
	/**
	 * Радиус в тайлах, на какое расстояние действует данный инструмент для сбора
	 */
	val blockRadius: Int

	/**
	 * Радиус в тайлах, на какое расстояние действует данный инструмент для сбора
	 */
	val altBlockRadius: Int

	/**
	 * Звуки в бездействии
	 */
	val idleSound: List<String>

	/**
	 * Звуки при работе
	 */
	val strikeSounds: List<String>

	/**
	 * Время атаки
	 */
	val fireTime: Double
}
