package ru.dbotthepony.kstarbound.io.json

import com.google.gson.TypeAdapter
import com.google.gson.stream.JsonReader
import com.google.gson.stream.JsonWriter

object NothingAdapter : TypeAdapter<Nothing>() {
	override fun write(out: JsonWriter, value: Nothing?) {
		out.nullValue()
	}

	override fun read(`in`: JsonReader): Nothing? {
		`in`.skipValue()
		return null
	}
}
