package ru.dbotthepony.kstarbound.lua;

import java.io.File;
import java.util.function.Consumer;
import java.util.function.Function;

/**
 * Так как не все возможно сделать через JNA, некоторые вещи должны быть сделаны через JNI и немного магии указателей.
 */
public final class LuaJNI {
	public static native void lua_pushcclosure(long luaState, lua_CClosure callback);

	public interface lua_CClosure {
		// 0 - успешное выполнение
		// != 0 - была ошибка
		int invoke(long luaState);
	}

	static {
		//System.load(new File("lua_glue.dll").getAbsolutePath());
	}
}
