package ru.dbotthepony.kstarbound.defs.item

import ru.dbotthepony.kstarbound.defs.util.enrollMap
import ru.dbotthepony.kstarbound.io.json.builder.JsonBuilder
import ru.dbotthepony.kstarbound.util.NotNullVar
import ru.dbotthepony.kvector.vector.Color
import ru.dbotthepony.kvector.vector.ndouble.Vector2d

@JsonBuilder
class FlashlightPrototype : ItemPrototype(), IFlashlightDefinition {
	override var lightPosition: Vector2d by NotNull()
	override var lightColor: Color by NotNull()
	override var beamLevel: Int by NotNull()
	override var beamAmbience: Double by NotNull()
	override var handPosition: Vector2d by NotNull()

	init {
		maxStack = 1L
	}
}
