package ru.dbotthepony.kstarbound.defs.particle

import ru.dbotthepony.kstarbound.io.json.builder.JsonFactory
import ru.dbotthepony.kvector.vector.Color
import ru.dbotthepony.kvector.vector.ndouble.Vector2d
import ru.dbotthepony.kvector.vector.ndouble.Vector4d

@JsonFactory
data class ParticleVariance(
	override val offset: Vector2d? = null,
	override val position: Vector2d? = null,
	override val offsetRegion: Vector4d? = null,
	override val initialVelocity: Vector2d? = null,
	override val approach: Vector2d? = null,
	override val angularVelocity: Double? = null,
	override val size: Double? = null,
	override val color: Color? = null,
) : IParticleVariance
