package ru.dbotthepony.kstarbound.defs.player

import com.google.common.collect.ImmutableMap
import ru.dbotthepony.kstarbound.io.json.builder.JsonFactory

@JsonFactory
data class InventoryConfig(
	val customBarGroups: Int,
	val customBarIndexes: Int,

	val itemBags: ImmutableMap<String, BagConfig>,
) {
	@JsonFactory
	data class BagConfig(
		val priority: Int,
		val size: Int,
	)
}
