
#version 460

layout (location = 0) in vec3 pos;
layout (location = 1) in vec2 uv_in;
layout (location = 2) in float hsv_in;

out vec2 uv_out;
out float hsv_vertex;
uniform mat4 transform;

void main() {
	uv_out = uv_in;
	hsv_vertex = hsv_in;
	gl_Position = transform * vec4(pos, 1.0);
}
